org.apache.lucene.search

## Class SpanFilterResult

- java.lang.Object
- - org.apache.lucene.search.SpanFilterResult

-     public class SpanFilterResult
      extends java.lang.Object

  The results of a SpanQueryFilter. Wraps the BitSet and the position information from the SpanQuery

  NOTE: This API is still experimental and subject to change.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpanFilterResult.PositionInfo`
    `static class` | `SpanFilterResult.StartEnd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanFilterResult(java.util.BitSet bits, java.util.List positions)` Deprecated. Use `SpanFilterResult(DocIdSet, List)` instead
    `SpanFilterResult(DocIdSet docIdSet, java.util.List positions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.BitSet` | `getBits()` Deprecated. Use `getDocIdSet()`
    `DocIdSet` | `getDocIdSet()` Returns the docIdSet
    `java.util.List` | `getPositions()` The first entry in the array corresponds to the first "on" bit.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanFilterResult

          public SpanFilterResult(java.util.BitSet bits,
                                  java.util.List positions)

      Deprecated. Use `SpanFilterResult(DocIdSet, List)` instead
      Parameters:
        `bits` - The bits for the Filter
        `positions` - A List of `SpanFilterResult.PositionInfo` objects

    - #### SpanFilterResult

          public SpanFilterResult(DocIdSet docIdSet,
                                  java.util.List positions)

      Parameters:
        `docIdSet` - The DocIdSet for the Filter
        `positions` - A List of `SpanFilterResult.PositionInfo` objects

  - ### Method Detail

    - #### getPositions

          public java.util.List getPositions()

      The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order
      Returns:
        A List of PositionInfo objects

    - #### getBits

          public java.util.BitSet getBits()

      Deprecated. Use `getDocIdSet()`

    - #### getDocIdSet

          public DocIdSet getDocIdSet()

      Returns the docIdSet

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.